Subject: Re: [payload] WGLC for VP8 (draft-ietf-payload-vp8-11)

From: Harald Alvestrand <[email-masked]>
Date: Mon, 03 Nov 2014 10:37:07 -0800

On 10/27/2014 11:56 PM, Ross Finlayson wrote:
>> On Jul 7, 2014, at 10:55 PM, Roni Even <[email-masked]
>> <mailto:[email-masked]>> wrote:
>>
>> Hi,
>> I reviewed the document and have some comments as individual
> […]
>> 6. In section 6.2.2 what is the meaning of max-fr and max-fs if the
>> stream
>> is sendonly?
>
> Ditto if a ‘declarative’ SDP description is generated for a stream -
> e.g., for RTSP?
>
> Section 6.2.1 "Mapping of Media Subtype Parameters to SDP” of the
> latest VP8 payload format draft ("draft-ietf-payload-vp8-13”) says
> The parameters "max-fs", and "max-fr", MUST be included in the
> "a=fmtp" line of SDP
> I think this is too strong.  IMHO it should be a MUST only if the SDP
> is used in an ‘offer-answer’ environment, and the stream is not
> ‘sendonly’ (i.e., the offerer is asking to receive video).
>
> Also, BTW, the same language is in the corresponding section (7.2.1)
> of the new VP9 RTP payload format draft: "draft-uberti-payload-vp9-00”
>

Thanks, this fix seems reasonable:

- MUST be included if the SDP is used to declare receiver capabilities

I don't want to get into the quagmire of describing all the situations
where it is (or isn't) used in that way.

I'm unsure what we should do on sendonly; MUST NOT would be logical and
consistent, but seems to complicate implementations that just want to
hardcode their SDP strings to the extent possible. MAY, and say that the
a=fmtp parameters are then those that would have been used if the stream
had been receive-only?

I'm sure we can get the same fix into VP9. This is not where we want to
be creative :-)

>
>
> Ross Finlayson
> Live Networks, Inc.
> http://www.live555.com/
>
>
>
> _______________________________________________
> payload mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/payload

-- 
Surveillance is pervasive. Go Dark.

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 18 Nov 2014 16:06:42 +0100

Just a ping - want to check that the fix suggested is acceptable to Roni
and the WG before getting it committed.

---

From: "Roni Even" <[email-masked]>
Date: Wed, 19 Nov 2014 07:17:16 +0200

Hi,
I am OK with herald proposal
Roni

> -----Original Message-----
> From: payload [mailto:[email-masked]] On Behalf Of Harald
> Alvestrand
> Sent: 18 November, 2014 5:07 PM
> To: [email-masked]; Roni Even
> Subject: Re: [payload] WGLC for VP8 (draft-ietf-payload-vp8-11)
> 
and the
> WG before getting it committed.
> 
> >> [.]
> >>> stream is sendonly?
> >> Ditto if a 'declarative' SDP description is generated for a stream -
> >> e.g., for RTSP?
> >>
> >> Section 6.2.1 "Mapping of Media Subtype Parameters to SDP" of the
> >> latest VP8 payload format draft ("draft-ietf-payload-vp8-13") says
> >> "a=fmtp" line of SDP I think this is too strong.  IMHO it should be a
> >> MUST only if the SDP is used in an 'offer-answer' environment, and
> >> the stream is not 'sendonly' (i.e., the offerer is asking to receive
> >> video).
> >>
> >> of the new VP9 RTP payload format draft: "draft-uberti-payload-vp9-00"
> >>
> >
> > I'm unsure what we should do on sendonly; MUST NOT would be logical
> > and consistent, but seems to complicate implementations that just want
> > to hardcode their SDP strings to the extent possible. MAY, and say
> > that the a=fmtp parameters are then those that would have been used if
> > the stream had been receive-only?
> >
> > I'm sure we can get the same fix into VP9. This is not where we want
> > to be creative :-)
> >
> >>
> >>
> >> Ross Finlayson
> >> Live Networks, Inc.
> >> http://www.live555.com/
> >>
> >>
> >>